Subject: Trying to compile an X program with CygWin
From: [email-masked] (Jorrit Tyberghein)

14 Oct 1998 08:43:51 -0700
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]

Hi,

I just today installed CygWin on my NT 4 machine.

First I installed CygWin b19 and upgraded to b19.1 with the patch.
Then I installed egcs 1.1.
Then I installed the free X11R6.3 libraries.

Everything went smooth and programs seem to work very well on my
X server (Exceed).

Now I'm trying to compile my program (Crystal Space) which is has a
Unix/X11 target. Compilation goes very smooth but I get a linking error
which I can't seem to solve:

out/UNIX/engine/library.o(.text+0x2e):library.cc: undefined reference to `__get_eh_context'
out/UNIX/engine/library.o(.text+0x1c6):library.cc: undefined reference to `__get_eh_context'
out/UNIX/engine/library.o(.text+0x292):library.cc: undefined reference to `__get_eh_context'
out/UNIX/engine/msectobj.o(.text+0x18e):msectobj.cc: undefined reference to `__get_eh_context'
out/UNIX/engine/sector.o(.text+0x2e):sector.cc: undefined reference to `__get_eh_context'
out/UNIX/engine/sector.o(.text+0x675):sector.cc: more undefined references to `__get_eh_context' follow

Any idea where __get_eh_context () is defined? It is certainly not something from
my sources (I should know as I've written most of them :-)

Greetings,

--
==============================================================================
[email-masked], University Hospitals KU Leuven BELGIUM

                -- (Terry Pratchett & Neil Gaiman, Good Omens)
==============================================================================

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".